## Void a captured payment

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/void-payment HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  payment_id: string,
}
```

Returns: boolean

## Request arguments

### `payment_id` (string)

**Required**. The unique identifier of the payment to void.

## Errors specific to this endpoint

### `NOT_FOUND`

This error occurs when no payment with the provided ID exists in your
merchant account. Double check that you're using the correct payment ID.

### `NOT_VOIDABLE`

Payment is not eligible for void. This can happen if the payment is
not in a captured state, has already settled into a statement, the
void window has passed, or the integration does not support voids.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
